{%MainUnit fpwmmanager.pas}

function TFPWMWindowManager.activeClient(): TFPWMClient;
begin
  {$ifdef FPWM_TRACE_INLINES}
  FPWMTrace('[TFPWMWindowManager.activeClient]');
  {$endif}
  Result := m_activeClient;
end;

procedure TFPWMWindowManager.setActiveClient(const c: TFPWMClient);
begin
  {$ifdef FPWM_TRACE_INLINES}
  FPWMTrace('[TFPWMWindowManager.setActiveClient]');
  {$endif}
  m_activeClient := c;
end;

function TFPWMWindowManager.display(): PDisplay;
begin
  {$ifdef FPWM_TRACE_INLINES}
  FPWMTrace('[TFPWMWindowManager.display]');
  {$endif}
  Result := m_display;
end;

function TFPWMWindowManager.root(): TWindow;
begin
  {$ifdef FPWM_TRACE_INLINES}
  FPWMTrace(Format('[TFPWMWindowManager.root] m_root=%x', [m_root]));
  {$endif}
  Result := m_root;
end;

